Django 1.3/1.4 拒绝服务和信息泄露漏洞

2013-02-22T00:00:00
ID SSV:60639
Type seebug
Reporter Root
Modified 2013-02-22T00:00:00

Description

BUGTRAQ ID: 58061 CVE(CAN) ID: CVE-2013-0305,CVE-2013-0306

Django是Python编程语言驱动的一个开源Web应用程序框架。

Django 1.3.6、1.4.4之前版本在实现上存在多个漏洞,可被恶意用户利用绕过某些安全限制并造成拒绝服务。

1、扩展XML实体时存在错误,通过包含恶意属性的特制XML,可消耗大量内存。

2、处理某些XML数据时存在错误,通过包含外部实体引用的特制XML数据,可泄露敏感信息。

3、在访问历史视图时,管理员界面没有正确验证访问权限,可被利用查看管理界面内的对象访问历史。

4、在处理表单提交时表单集中存在错误,通过提交特制的表单,可导致大量内存消耗并显示应用不可用。 0 Django 1.4.x Django 1.3.x 厂商补丁:

Django

目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://www.djangoproject.com/m/releases/1.3/Django-1.3.6.tar.gz